[Ironpython-users] IronPython Ubuntu 11.10 Beta 2

Doug Blank doug.blank at gmail.com
Tue Oct 4 13:36:13 CEST 2011

On Tue, Oct 4, 2011 at 7:11 AM, Matthias Klose <doko at ubuntu.com> wrote:
> On 10/04/2011 12:47 PM, Doug Blank wrote:
>> On Tue, Oct 4, 2011 at 5:36 AM, Matthias Klose <doko at ubuntu.com> wrote:
>>> On 10/04/2011 09:52 AM, Christopher Tottle wrote:
>>>> Hi All,
>>>>  Dose anybody know why IronPython has been removed from Ubuntu 11.10 Beta 2? as it was in Beta 1
>>>>  http://www.ubuntuupdates.org/packages/show/332742
>>> IronPython was built from the dlr-languages source package, which wasn't updated
>>> for the current mono version, and did fail to build from source.
>>> See https://bugs.launchpad.net/ubuntu/+source/dlr-languages/+bug/831402
>>> If you want to provide an update/patch, please file an issue in the Ubuntu bug
>>> tracker.
>> I'd really like to see dlr-languages in Ubuntu. The failure above is
>> from the IronRuby sources. I just built ironruby yesterday from git
>> with Mono 2.10.2, and worked fine for the regular config.
>> Does Ubuntu need an official release to be able to include
>> dlr-languages?
> No.
>> Or can it be from current trunk?
> dlr-languages is a leaf package (no reverse dependencies or build dependencies),
> so it should be sae to upgrade.  Best thing would be to provide a package in a
> PPA, or provide the updated source package.


Thanks for the information! I see from the Ubuntu launchpad issue
tracker that Colin Watson has suggested that this get fixed in Debian,
and I see that you are a maintainer for libdlr0.9 in Debian unstable

I would like to know how to make a repository for Debian from the git
dlr-languages sources, but I suspect that it could take me a bit of
time to figure it out. Perhaps there is someone on this list that can
quickly describe these steps in order to quickly get the dlr into
Debian, and thus Ubuntu?

IronLanguages builds cleanly from git with Mono 2.10.2 with standard
Configuration, so this seems like it could be straightforward, with a
bit of help.

Any pointers appreciated,


[1] - http://packages.debian.org/unstable/cli-mono/libdlr0.9-cil

More information about the Ironpython-users mailing list